
#include "support.h"
#include "ivt.h"

int main(int argc, char *argv[])
{
  U8 uncompr[99999];
  FILE* fp;
  int err;
  MSZP mszp;
  wvInitMSZP(&mszp);
  if (argc < 3)
  {
	  printf("Usage: mszpdump infile outfile\n");
	  return(-1);
  }

  fp = fopen(argv[1], "r");
  if (!fp)
  {
	  perror("Abort:");
	  return(-1);
  }
  wvGetMSZP(&mszp,fp);
  fclose(fp);

  if (!mszp.compr)
  {
	  fprintf(stderr,"No data to decompress\n");
	  return(-1);
  }
  
  err = wvInflatemszp(mszp.compr,uncompr);

  if (err != 0) 
  {
    fprintf(stderr, "error: %d\n", err); 
    exit(1); 
  } 

  /* Write out uncompressed data */
  fp = fopen(argv[2], "w");
  if (!fp)
  {
	  perror("Abort:");
	  return(-1);
  }
  fwrite(uncompr, mszp.uncomprLen, 1, fp);
  fclose(fp);
  return 0;
}
